# Generated from konmari-routes-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name konmari-routes

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Only keep the routes that make you happy
License: MIT
URL: https://github.com/timothyfstephens/konmari-routes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Inspired by thousand-line routes files, KonmariRoutes aims to make routes
more manageable by enabling
a routing structure that mirrors the controller file structure of a standard
web application, powered
by one guiding principle: Keep only what makes you happy. This is largely
inspired by two articles:
https://blog.lelonek.me/keep-your-rails-routes-clean-and-organized-83e78f2c11f2
and
https://blog.arkency.com/2015/02/how-to-split-routes-dot-rb-into-smaller-parts/
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/konmari-routes.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.3-1
- Initial package
